package com.cyl.manager.marketing.pojo.query;
import com.cyl.manager.marketing.domain.WechatStock;
import com.ruoyi.common.core.domain.IQuery;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

/**
 * 微信商家券 查询 对象
 *
 * @author daixiande
 */
@Setter
public class WechatStockQuery extends WechatStock implements IQuery {
    /**
     * 搜索值
     */
    private String searchValue;

    /**
     * 请求参数
     */
    private Map<String, Object> params;

    @Override
    public String getSearchValue() {
        return this.searchValue;
    }

    @Override
    public Map<String, Object> getParams() {
        if (params == null) {
            params = new HashMap<>();
        }
        return params;
    }
}
